/* ---------------------------------------------------------- */
/* @(#) KR4.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Agentless Linux OS Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* LinuxSnmpMonitorStart */
DELETE FROM O4SRV.CCT
WHERE KEY = "KR4_SNMP_MONITORSTART_TASK";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RLinuxOS           000000000000000000", 
  'LINUXSNMPMONITORSTART "&Subnode_Resource_Name" "&Host" "&Community"',
  "Begin Data Collection from a remote Linux endpoint system.",
  " ", 
  "KR4_SNMP_MONITORSTART_TASK", 
  "LinuxSnmpMonitorStart", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* LinuxSnmpMonitorStop */
DELETE FROM O4SRV.CCT
WHERE KEY = "KR4_SNMP_MONITORSTOP_TASK";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RLinuxOS           000000000000000000", 
  'LINUXSNMPMONITORSTOP "&KR4_MANAGED_SYSTEMS.Subnode_Resource_Name"',
  "Stop Data Collection from a remote Linux endpoint system.",
  " ", 
  "KR4_SNMP_MONITORSTOP_TASK", 
  "LinuxSnmpMonitorStop", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KR4_NIC_Status_Down"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_RLinuxOS_LNX"
 AND OBJNAME = "KR4_NIC_Status_Down"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("kr4:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RLinuxOS_LNX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KR4_NETWORK.Operational_Status *EQ down )  *OR (
 *VALUE KR4_NETWORK.Operational_Status *EQ testing ) )",
"E",
"0",
"000300",
"*NONE",
"KR4_NIC_Status_Down",
"Kr4:KR41066",
"NNN",
"ATOM=KR4NIFTABL.IFDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RLinuxOS_LNX" ,
  "KR4_NIC_Status_Down" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KR4_NIC_Status_Unknown"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_RLinuxOS_LNX"
 AND OBJNAME = "KR4_NIC_Status_Unknown"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("kr4:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RLinuxOS_LNX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF  *VALUE KR4_NETWORK.Operational_Status *EQ unknown",
"E",
"0",
"000300",
"*NONE",
"KR4_NIC_Status_Unknown",
"Kr4:KR41066",
"NNN",
"ATOM=KR4NIFTABL.IFDESCR;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RLinuxOS_LNX" ,
  "KR4_NIC_Status_Unknown" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KR4_CPU_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_RLinuxOS_LNX"
 AND OBJNAME = "KR4_CPU_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("kr4:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RLinuxOS_LNX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR4_PROCESSOR.CPU_Used_Pct *GT 90",
"E",
"0",
"000300",
"*NONE",
"KR4_CPU_Util_High",
"Kr4:KR41067",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RLinuxOS_LNX" ,
  "KR4_CPU_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KR4_Disk_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_RLinuxOS_LNX"
 AND OBJNAME = "KR4_Disk_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("kr4:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RLinuxOS_LNX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR4_DISK.Percentage_of_Available_Disk_Space *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR4_Disk_Util_High",
"Kr4:KR41065",
"NNN",
"ATOM=KR4DISK.FSYSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RLinuxOS_LNX" ,
  "KR4_Disk_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KR4_Memory_Util_High"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_RLinuxOS_LNX"
 AND OBJNAME = "KR4_Memory_Util_High"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

$PARMS 
( 
'ADVICE("kr4:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RLinuxOS_LNX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR4_MEMORY.Percentage_of_Available_Memory *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR4_Memory_Util_High",
"Kr4:KR41123",
"NNN",
"ATOM=KR4MEMORY.MEMDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RLinuxOS_LNX" ,
  "KR4_Memory_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
